Get logs
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/{jobId}/stdout \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/{jobId}/stdout"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/{jobId}/stdout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"stdout": [
{
"created": "2023-11-07T05:31:56Z",
"data": "<string>"
}
],
"totalCount": 123,
"error": "<string>"
}Get logs
Get the logs for a job.
GET
/
api
/
{projectId}
/
jobs
/
{jobId}
/
stdout
Get logs
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Query Parameters
Maximum number of results
Log level (error, warn, info, debug)
Available options:
error, warn, info, debug Was this page helpful?
⌘I